# Send an Announcement **POST /api/announcements.json** Send an Announcement to a group of contacts. `selection_type` must be one of: `tags`, `saved-searches`, or `phone_numbers`. [Variables are supported](https://help.textline.com/en/articles/6660352). **Also supported on this endpoint:** - **Send an Announcement to Uploaded Contacts** — `selection_type: csv` with `recipients.csv_data` (base64 CSV). - **Schedule an Announcement** — set `scheduled: true` and `mass_text.timestamp` (unix seconds). ## Servers - Production: https://application.textline.com (Production) ## Parameters ### Body: application/json (object) - **selection_type** (string) One of: tags, saved-searches, phone_numbers, csv - **recipients** (object) Exactly one selection should be provided (except csv uses csv_data). - **mass_text** (object) - **scheduled** (boolean) Set true when scheduling a future announcement. ## Responses ### 200 OK #### Body: application/json (object) - **authorized** (string) [Powered by Bump.sh](https://bump.sh)